Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignHyperlinkParameter

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseHyperlinkParameter
          net.sf.jasperreports.engine.design.JRDesignHyperlinkParameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRHyperlinkParameter

    public class JRDesignHyperlinkParameter

extends JRBaseHyperlinkParameter
implements JRChangeEventsSupport

Implementation of `JRHyperlinkParameter` that can be used for report designing purposes.

Version:
  $Id: JRDesignHyperlinkParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_NAME`
`static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseHyperlinkParameter
`name, valueExpression`

Constructor Summary
`JRDesignHyperlinkParameter()` Creates a blank hyperlink parameter.

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setName(java.lang.String name)` Sets the paramter name.
`void` | `setValueExpression(JRExpression valueExpression)` Sets the parameter value expression.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseHyperlinkParameter
`clone, getName, getValueExpression`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### PROPERTY_VALUE_EXPRESSION

    public static final java.lang.String PROPERTY_VALUE_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### JRDesignHyperlinkParameter

    public JRDesignHyperlinkParameter()

  Creates a blank hyperlink parameter.

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the paramter name.

  Parameters:
    `name` - the name
  See Also:
    `JRBaseHyperlinkParameter.getName()`

### setValueExpression

    public void setValueExpression(JRExpression valueExpression)

  Sets the parameter value expression.

  This expression will be evaluated at fill time and the resulting value will be saved in the print hyperlink instance.

  Parameters:
    `valueExpression` - the expression that produces the parameter value

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com